/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const keywordLibraryRouter = {
  path: '/operate',
  component: Layout,
  redirect: '/operate/activity',
  alwaysShow: true, // will always show the root menu
  name: 'OperateActivity', // name必须和后台配置一致，不然匹配不到
  meta: { title: '运营专区' },
  children: [
    {
      path: 'activity',
      name: 'ActivityMenu',
      redirect: '/operate/activity/ziyalan-list',
      alwaysShow: true,
      component: () => import('@/views/index'),
      meta: { title: '活动专题', useDefault: true },
      children: [
        {
          path: 'ziyalan-list',
          name: 'ZiyalanList',
          component: () => import('@/views/operate/activity/ziyalan-list'),
          meta: { title: '紫亚兰活动专栏' }
        }
      ]
    }
  ]
}
export default keywordLibraryRouter
